Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 60133 - linux-2.6.8-rc4-mm1: IPv6-in-IPv6 undefined references
Summary: linux-2.6.8-rc4-mm1: IPv6-in-IPv6 undefined references
Status: VERIFIED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-12 05:33 UTC by Ioannis Aslanidis (RETIRED)
Modified: 2006-03-21 04:36 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ioannis Aslanidis (RETIRED) gentoo-dev 2004-08-12 05:33:16 UTC
There seems to be a problem either compiling built-in or as a module the IPv6-in-IPv6 tunnel option:

<*> The IPv6 protocol (EXPERIMENTAL)
     <M>   IPv6: IPv6-in-IPv6 tunnel



As module:

**********
make[1]: `arch/i386/kernel/asm-offsets.s' is up to date.
  CHK     include/linux/compile.h
Kernel: arch/i386/boot/bzImage is ready
  Building modules, stage 2.
  MODPOST
*** Warning: "xfrm6_tunnel_deregister" [net/ipv6/ip6_tunnel.ko] undefined!
*** Warning: "xfrm6_tunnel_register" [net/ipv6/ip6_tunnel.ko] undefined!
make[1]: `arch/i386/kernel/asm-offsets.s' is up to date.
  CHK     include/linux/compile.h
Kernel: arch/i386/boot/bzImage is ready
  Building modules, stage 2.
  MODPOST
*** Warning: "xfrm6_tunnel_deregister" [net/ipv6/ip6_tunnel.ko] undefined!
*** Warning: "xfrm6_tunnel_register" [net/ipv6/ip6_tunnel.ko] undefined!
  INSTALL drivers/ide/ide-floppy.ko
  INSTALL drivers/net/dummy.ko
  INSTALL drivers/pci/hotplug/cpqphp.ko
  INSTALL drivers/pci/hotplug/fakephp.ko
  INSTALL drivers/pci/hotplug/ibmphp.ko
  INSTALL drivers/pci/hotplug/pci_hotplug.ko
  INSTALL drivers/pci/hotplug/pciehp.ko
  INSTALL drivers/pci/hotplug/shpchp.ko
  INSTALL drivers/scsi/osst.ko
  INSTALL drivers/scsi/sd_mod.ko
  INSTALL drivers/scsi/st.ko
  INSTALL drivers/usb/host/ehci-hcd.ko
  INSTALL drivers/usb/host/ohci-hcd.ko
  INSTALL drivers/usb/storage/usb-storage.ko
  INSTALL net/bluetooth/hidp/hidp.ko
  INSTALL net/ipv6/ip6_tunnel.ko
if [ -r System.map ]; then /sbin/depmod -ae -F System.map  2.6.8-rc4-mm1; fi
WARNING: /lib/modules/2.6.8-rc4-mm1/kernel/net/ipv6/ip6_tunnel.ko needs unknown symbol xfrm6_tunnel_register
WARNING: /lib/modules/2.6.8-rc4-mm1/kernel/net/ipv6/ip6_tunnel.ko needs unknown symbol xfrm6_tunnel_deregister
**********

Built-in:

**********
  SPLIT   include/linux/autoconf.h -> include/config/*
make[1]: `arch/i386/kernel/asm-offsets.s' is up to date.
  CHK     include/linux/compile.h
  GZIP    kernel/config_data.gz
  IKCFG   kernel/config_data.h
  CC      kernel/configs.o
  LD      kernel/built-in.o
  CC      net/ipv6/af_inet6.o
  LD      net/ipv6/ipv6.o
  CC      net/ipv6/ip6_tunnel.o
  LD      net/ipv6/built-in.o
  LD      net/built-in.o
  GEN     .version
  CHK     include/linux/compile.h
  UPD     include/linux/compile.h
  CC      init/version.o
  LD      init/built-in.o
  LD      .tmp_vmlinux1
net/built-in.o(.init.text+0x37e7): In function `ip6_tunnel_init':
: undefined reference to `xfrm6_tunnel_register'
net/built-in.o(.init.text+0x3846): In function `ip6_tunnel_init':
: undefined reference to `xfrm6_tunnel_deregister'
net/built-in.o(.exit.text+0x926): In function `ip6_tunnel_cleanup':
: undefined reference to `xfrm6_tunnel_deregister'
make: *** [.tmp_vmlinux1] Error 1
**********

Reproducible: Always
Steps to Reproduce:
1. Select IPv6-in-IPv6 tunnel support for linux kernel 2.6.8-rc4-mm1
2. make

Actual Results:  
Image fails when selecting it built-in.
Compiling as a module fails too.

In both cases, there are undefined references.


Portage 2.0.50-r9 (default-x86-2004.2, gcc-3.3.4, glibc-2.3.4.20040808-r0,
2.6.7-gentoo-r12)
=================================================================
System uname: 2.6.7-gentoo-r12 i686 AMD Athlon(tm) XP 1800+
Gentoo Base System version 1.5.2
distcc 2.16 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
Autoconf: sys-devel/autoconf-2.59-r4
Automake: sys-devel/automake-1.8.5-r1
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-O3 -mcpu=i686 -fomit-frame-pointer -funroll-loops -pipe -fforce-addr
-fforce-mem -fmove-all-movables"
CHOST="i686-pc-linux-gnu"
COMPILER="gcc3"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config
/usr/kde/3.2/share/config /usr/kde/3.3/share/config /usr/kde/3/share/config
/usr/lib/mozilla/defaults/pref /usr/share/config
/usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/
/usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/
/usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O3 -mcpu=i686 -fomit-frame-pointer -funroll-loops -pipe -fforce-addr
-fforce-mem -fmove-all-movables"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs buildpkg ccache distcc fixpackages sandbox usersandbox"
GENTOO_MIRRORS="http://ftp.caliu.info/pub/gentoo/
http://ftp.ntua.gr/pub/linux/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X aalib alsa apache2 apm arts audiofile avi berkdb bindist cdr crypt
cups curl directfb divx4linux dvd dvdr encode esd ethereal fastcgi fbcon flac
flash foomaticdb freetype gd gdbm ggi gif gmp gnome gphoto2 gpm gstreamer gtk
gtk2 icq imagemagick imlib ipv6 java jikes jpeg junit kde lcms ldap libg++
libwww linguas_el linguas_es mad memlimit mikmod mmx motif mozilla mpeg msn
ncurses nls nocd nptl oggvorbis opengl oss pam pdflib perl pic png ppds python
qt quicktime readline samba sdl slang spell sse ssl svg svga szip tcltk tcpd
tetex tiff truetype ttf unicode usb video_cards_nvidia videos wmf x86 xml xml2
xmms xv xvid zlib"
Comment 1 Greg Kroah-Hartman (RETIRED) gentoo-dev 2004-08-12 14:15:15 UTC
Sorry, but you should report this to the upstream kernel bugzilla at:
bugzilla.kernel.org
as we do not modify this package at all.
Comment 2 Ioannis Aslanidis (RETIRED) gentoo-dev 2004-08-12 15:00:23 UTC
There we go: http://bugzilla.kernel.org/show_bug.cgi?id=3201
Comment 3 Ioannis Aslanidis (RETIRED) gentoo-dev 2004-09-01 13:20:02 UTC
Alright, it'll be fixed in the next kernel release:http://bugzilla.kernel.org/show_bug.cgi?id=3201

------- Additional Comment #3 From Adrian Bunk  2004-09-01 12:40 -------

This bug should be fixed in 2.6.9-rc1.

If you can still reproduce this bug in 2.6.9-rc1, please attach your .config .

Comment 4 Kerin Millar 2006-03-21 04:36:26 UTC
Fixed a while ago (as of 2.6.9-rc1). Bringing to closure.